Observability
Show tool calls, errors, and latency
GET /v1/observability/tools · SDK getObservabilityToolMetrics · CLI deployments observability tools
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
from?stringInclusive window start (RFC 3339); defaults to to minus 24 hours.
Format
date-timeto?stringWindow end (RFC 3339); defaults to now.
Format
date-timeagentDeploymentId?stringOnly tool calls made by runs of this agent deployment.
Match
^[A-Za-z0-9._:-]+$Length
1 <= length <= 160x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ObservabilityToolMetricsResponse
application/json- response
from*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timeitems*array<>to*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X GET "https://example.com/v1/observability/tools" \ -H "x-deployments-organization: string"{ "from": "2019-08-24T14:15:22Z", "items": [ {} ], "to": "2019-08-24T14:15:22Z"}